import numpy


def energy(freq, delta):
	return numpy.sqrt(freq ** 2 + delta ** 2)


def gap_integrand_function(xi, temp, delta, mu_star):
	big_e = energy(xi, delta)
	return numpy.tanh((big_e - mu_star) / (2 * temp)) / (2 * big_e)
